#ifndef __PomFce_H__
#define __PomFce_H__ 


typedef struct NMesta
{
	int Mesto;
	struct NMesta *Dalsi;
}T_NMesta;
	
typedef struct 
{ 
	T_NMesta *NMesta;
	int AktMesto;//mesto ve kterem mravenec prave je
//	int DelkaCesty; //celkova delka ujite cesty
} T_Mravenec;


int *VytvorPole1(int C_Rozmer);  
int **VytvorPole2(int C_Rozmer1, int C_Rozmer2);
double ***VytvorPole3(char* File, int *P_VelikostPole);
int NactiHrany(char* input, double ***V_Pole, int C_VelikostPole, int C_NeexistujiciHrana, double C_PocatecniFeromon);
int DealokujHrany(double ***V_Pole, int C_VelikostPole);
int ZrusMravence(T_Mravenec *P_Mravenec);
int QuickSort(int **V_Pole, int V_L, int V_P);
int Dealokuj2Pole(int **V_Pole,int C_Rozmer);
int Loguj(FILE *fw, char *V_Text, double V_Promena, char C_Double, int C_Odradkuj);



#endif 